package com.objis.demohibernate.test;

import java.util.HashSet;
import java.util.Set;

import com.objis.demohibernate.domaine.Formation;
import com.objis.demohibernate.domaine.Lieu;

import org.hibernate.Transaction;
import org.hibernate.classic.Session;

import com.objis.demohibernate.util.HibernateUtil;

import junit.framework.TestCase;

@SuppressWarnings("unchecked")
public class TestAssociationManyToMany extends TestCase {

	private static Session session = null;
	private static Transaction tx = null;
	private static Set<Formation> formations = new HashSet<Formation>();

	protected void setUp() throws Exception {
		super.setUp();
		// 1 : Ouverture unit de travail hibernate
		session = HibernateUtil.getSessionFactory().openSession();

		// 2 : Ouverture transaction
		tx = session.beginTransaction();
		

	}

	public TestAssociationManyToMany() {
		super();

	}

	public static void testInsertion() {
		
		
		//session.save(formations);
		
		formations.add(new Formation("HIBERNATE"));
		formations.add(new Formation("SOA"));

		
		Lieu lieu1 = new Lieu(new Long(1),"So@t","104 bis rue de Reuilly PARIS", formations);
		Lieu lieu2 = new Lieu(new Long(1),"Objis","425 cours Emile Zola LYON", formations);
		            session.save(lieu1);
		            session.save(lieu2);
	}
	

	
	protected void tearDown() throws Exception {
		super.tearDown();
		// 5 : Fermeture transaction
		tx.commit();
		// 6 : Fermeture unit de travail hibernate
		session.close();

	}


}
